#version 150 core

in vec4 in_Position;

uniform mat4 projM;
uniform mat4 lightM;

out vec3 viewRay;
out mat4 viewM;

void main( void )
{
	viewM = inverse(lightM);
	viewRay = (lightM * in_Position).xyz;
	gl_Position = projM * lightM * in_Position;
}
