#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

layout(location = 0) out vec4 fragColor;
layout(location = 1) out vec4 fragNormal;

uniform float MaterialIndex;
uniform sampler2D texture0;

in vec2 uv0;
in vec3 normals;

void main( void )
{
	fragColor = vec4(texture(texture0, uv0).xyz, MaterialIndex/255.0);
	fragNormal = vec4(normalize(normals.xyz), 0.0); // normals
}
