#version 150 core

out vec4 fragColor;

uniform sampler2D image;
uniform vec2 zoomFactor;
uniform vec2 alpha;
uniform float multiply;
in vec2 uv0;

void main()
{
	vec4 c;
	for(int i = 0; i < 30; i++)
	{
		vec2 coord = (uv0 - vec2(0.5)) / (zoomFactor.x + zoomFactor.y * i);
		c += texture(image, coord + vec2(0.5)) * multiply * max((alpha.x - alpha.y * i), 0.0);
	}
	fragColor = c;
}
