#version 150 core

out vec4 fragColor;

uniform sampler2D lightBuffer;
uniform sampler2D mask;
uniform vec2 screen;
uniform vec4 color;

void main() 
{
	float matIndex = texture(mask, gl_FragCoord.xy / screen).a * 255.0;
	vec4 light = texture(lightBuffer, gl_FragCoord.xy / screen);
	if(matIndex == 1.0)
	{
		fragColor = light + color;
	}
	else discard;
}
