#version 150 core

in vec3 in_Position;
in vec2 in_UV0;

uniform vec2 scale;
uniform vec2 pos;

out vec2 uv0;

void main()
{
	uv0 = in_UV0;
	gl_Position = vec4((in_Position.xy + pos) * scale, in_Position.z, 1.0);
}