#version 150 core
#extension GL_ARB_explicit_attrib_location : enable

layout(location = 0) out vec4 fragColor;
layout(location = 1) out vec4 fragNormal;

//uniform vec2 NearFar; // Near plane
uniform float MaterialIndex;
uniform vec3 color;
uniform float radius;
uniform mat3 NormalM;

in vec3 normals;
in vec4 postion;
in vec4 posVS;

void main( void )
{
	fragNormal = vec4(normalize(normals), 0.0);
	fragColor = vec4(color, MaterialIndex/255.0);
}
