#version 150 core

in vec4 in_Position;
in vec3 in_Normal;

uniform mat4 ProjM;
uniform mat4 ModelM;
uniform mat3 NormalM;

out vec3 normals;
out vec4 postion;
out vec4 posVS;

void main( void )
{
	posVS = in_Position;
	normals = NormalM * in_Normal;
	postion = ModelM * in_Position;
	gl_Position = ProjM * ModelM * in_Position;
}