#version 150 core

in vec4 in_Position;
in vec3 in_Normal;
in vec2 in_UV0;

uniform mat4 ProjM;
uniform mat4 ModelM;
uniform mat3 NormalM;

out vec3 normals;
out vec2 uv0;

void main() 
{
	normals = NormalM * in_Normal;
	uv0 = in_UV0;
	gl_Position = ProjM * ModelM * in_Position;
}
