#version 150 core

in vec3 in_Position;
in vec2 in_UV0;

uniform mat4 ProjM;
uniform mat4 ModelViewM;

out vec2 uv0;

void main()
{
	uv0 = in_UV0;
	gl_Position = ProjM * ModelViewM * vec4(in_Position, 1.0);
}